summaryrefslogtreecommitdiff
path: root/source4/script/build_idl.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2003-11-28 03:47:45 +0000
committerAndrew Tridgell <tridge@samba.org>2003-11-28 03:47:45 +0000
commit07fdc2c73e03dad5b6030db0e8e488a3834796f5 (patch)
tree572ab828b52cfa9cf6887acd5049c41f279ece2c /source4/script/build_idl.sh
parentdf5949efb425668f8e7ae38c0c858bd90529255a (diff)
downloadsamba-07fdc2c73e03dad5b6030db0e8e488a3834796f5.tar.gz
samba-07fdc2c73e03dad5b6030db0e8e488a3834796f5.tar.bz2
samba-07fdc2c73e03dad5b6030db0e8e488a3834796f5.zip
* support multiple interfaces in one IDL file in pidl
* make far more generated functions static * get rid of gen_rpc, and include the client calls in ndr_*.c * added placeholder IDL for a number of intefaces (dcom, wzcsvc, browser etc) (This used to be commit a2bdf0be0119023df3c2b9ea515ed355020f2625)
Diffstat (limited to 'source4/script/build_idl.sh')
-rwxr-xr-xsource4/script/build_idl.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index b31d26c23d..8c04db6f37 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -3,11 +3,10 @@
FULLBUILD=$1
[ -d librpc/gen_ndr ] || mkdir -p librpc/gen_ndr || exit 1
-[ -d librpc/gen_rpc ] || mkdir -p librpc/gen_rpc || exit 1
( cd build/pidl && make ) || exit 1
-PIDL="build/pidl/pidl.pl --output librpc/gen_ndr/ndr_ --parse --header --parser --client librpc/gen_rpc/rpc_"
+PIDL="build/pidl/pidl.pl --output librpc/gen_ndr/ndr_ --parse --header --parser"
TABLES="build/pidl/tables.pl --output librpc/gen_ndr/tables"
if [ x$FULLBUILD = xFULL ]; then
@@ -15,7 +14,7 @@ if [ x$FULLBUILD = xFULL ]; then
$PIDL librpc/idl/*.idl || exit 1
echo Rebuilding IDL tables
- $TABLES librpc/gen_ndr/ndr_*.h
+ $TABLES librpc/gen_ndr/ndr_*.h || exit 1
exit 0
fi
@@ -30,6 +29,7 @@ done
if [ "x$list" != x ]; then
$PIDL $list || exit 1
+ $TABLES librpc/gen_ndr/ndr_*.h || exit 1
fi
exit 0